rule abyss_merge:
    input:
        fasta_files = expand(rules.vecscreen.output.fasta_file, sample_name=SAMPLES, ref_name=REF)
    output:
        merged_fasta = f"{frangipane_obj.path_merged_contigs}/all-contigs.fa"
    log:
        output =  f"{frangipane_obj.path_logs}/post-abyss/abyss-merged.log.o",
        error =  f"{frangipane_obj.path_logs}/post-abyss/abyss-merged.log.e"
    params:
        dir_merged = f"{frangipane_obj.path_merged_contigs}"
    message:
        f"""--------------------
-Running {{rule}}
|-- Input:
|   - dir : {{frangipane_obj.path_merged_contigs}}
|-- Output:
|   - fasta merged file : {{output.merged_fasta}}
|-- Other infos:
|   - LOG output : {{log.output}}
--------------------
"""
    run:
        Path(params.dir_merged).mkdir(exist_ok=True)
        
        for file_name in input.fasta_files:
            basename = PurePosixPath(file_name).stem
            rg = basename.split("-")[0]
            cmd = f"sed 's/>/>{rg}-/' {file_name} >> {output.merged_fasta}"
            print(cmd)

            process = subprocess.run(cmd, shell=True, capture_output=True, text=True)
            if process.returncode != 0:
                raise ValueError(f"Error executing command: {process.stderr}")
